org.apache.http.impl.client

## Class DefaultConnectionKeepAliveStrategy

- java.lang.Object
- - org.apache.http.impl.client.DefaultConnectionKeepAliveStrategy

- All Implemented Interfaces:
    ConnectionKeepAliveStrategy

      @Contract(threading=IMMUTABLE)
      public class DefaultConnectionKeepAliveStrategy
      extends Object
      implements ConnectionKeepAliveStrategy

  确定连接可以保持空闲状态的策略的默认实现。 默认实现只是在“Keep-Alive”标头的超时标记。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultConnectionKeepAliveStrategy` | `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `DefaultConnectionKeepAliveStrategy()`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getKeepAliveDuration(HttpResponse response, HttpContext context)` 返回此连接可以安全保持空闲的持续时间。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final DefaultConnectionKeepAliveStrategy INSTANCE

  - ### 构造方法详细信息

    - #### DefaultConnectionKeepAliveStrategy

          public DefaultConnectionKeepAliveStrategy()

  - ### 方法详细信息

    - #### getKeepAliveDuration

          public long getKeepAliveDuration(HttpResponse response,
                                  HttpContext context)

      描述从接口`ConnectionKeepAliveStrategy`复制
      返回此连接可以安全保持空闲的持续时间。 如果连接闲置时间长于此时间，则不得重复使用。 可以返回值为0或更小的值，表示没有合适的建议。 当结合`ConnectionReuseStrategy`时 ，如果`ConnectionReuseStrategy.keepAlive( HttpResponse, HttpContext)`返回true，则允许您控制重用将持续多长时间。 如果keepAlive返回false，则应该没有任何有意义的影响
      Specified by:
        `getKeepAliveDuration`在界面 `ConnectionKeepAliveStrategy`
      参数
        `response` - 通过连接收到的最后一个响应。
        `context` - 正在使用连接的上下文。
      结果
        保持连接空闲的安全持续时间（ms），或者如果没有建议的持续时间，则为<= 0。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585